> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unosend.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Suppression

> Retrieve details of a specific suppression by ID.

## Path Parameters

<ParamField path="id" type="string" required>
  The unique identifier of the suppression
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique suppression identifier
</ResponseField>

<ResponseField name="email" type="string">
  Suppressed email address
</ResponseField>

<ResponseField name="reason" type="string">
  Reason for suppression: `hard_bounce`, `spam_complaint`, `manual`, `unsubscribe`
</ResponseField>

<ResponseField name="source_email_id" type="string">
  ID of the email that caused automatic suppression (if applicable)
</ResponseField>

<ResponseField name="metadata" type="object">
  Additional information about the suppression, such as bounce type or diagnostic codes
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.unosend.co/suppressions/550e8400-e29b-41d4-a716-446655440000 \
    -H "Authorization: Bearer un_your_api_key"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.unosend.co/suppressions/550e8400-e29b-41d4-a716-446655440000',
    {
      headers: {
        'Authorization': 'Bearer un_your_api_key'
      }
    }
  );
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      'https://api.unosend.co/suppressions/550e8400-e29b-41d4-a716-446655440000',
      headers={'Authorization': 'Bearer un_your_api_key'}
  )
  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "success": true,
    "data": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "bounced@example.com",
      "reason": "hard_bounce",
      "source_email_id": "email_abc123",
      "metadata": {
        "bounce_type": "Permanent",
        "bounce_subtype": "NoEmail",
        "diagnostic_code": "550 5.1.1 User unknown"
      },
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  }
  ```

  ```json 404 Not Found theme={null}
  {
    "error": "Suppression not found"
  }
  ```
</ResponseExample>
